{
"id": "whe_example",
"createdAt": "2024-12-10T14:16:44-08:00",
"updatedAt": "2024-12-10T14:16:44-08:00",
"scheduledAt": null,
"processedAt": null,
"status": "PENDING",
"operation": "UPDATE.carrier_document.shipment_created",
"payload": {
"new": {
"id": "cari_example",
"tenant_id": "ten_example",
"invoice_number": "INV123",
"shipment": {
"id": "ship_example",
"shipment_number": "SHIP123",
"carrier": "CARRIER_XYZ",
"status": "CREATED",
"pickup_date": "2024-12-09",
"delivery_date": null
}
},
"old": {
"id": "cari_example",
"tenant_id": "ten_example",
"invoice_number": "INV123",
"shipment": null
}
},
"table": "carrier_invoices",
"webhookSubscriptionId": "whs_example",
"resourceId": "cari_example",
"retryOfId": null,
"retries": []
}Handle carrier invoice shipment creation events
Triggered when a carrier invoice is linked to a newly created shipment
{
"id": "whe_example",
"createdAt": "2024-12-10T14:16:44-08:00",
"updatedAt": "2024-12-10T14:16:44-08:00",
"scheduledAt": null,
"processedAt": null,
"status": "PENDING",
"operation": "UPDATE.carrier_document.shipment_created",
"payload": {
"new": {
"id": "cari_example",
"tenant_id": "ten_example",
"invoice_number": "INV123",
"shipment": {
"id": "ship_example",
"shipment_number": "SHIP123",
"carrier": "CARRIER_XYZ",
"status": "CREATED",
"pickup_date": "2024-12-09",
"delivery_date": null
}
},
"old": {
"id": "cari_example",
"tenant_id": "ten_example",
"invoice_number": "INV123",
"shipment": null
}
},
"table": "carrier_invoices",
"webhookSubscriptionId": "whs_example",
"resourceId": "cari_example",
"retryOfId": null,
"retries": []
}Authorizations
Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account โ API keys) and are scoped to one organization.
Body
Details of the carrier invoice shipment creation
A payload structure for webhook events triggered by operations in Upwell, detailing the affected resource, tenant, operation type, and resource state.
The unique identifier for the event.
The trigger string for this event (e.g. update.carrier_invoice.status.APPROVED). Branch on this โ see the webhook event catalog.
Timestamp when this record was created in Upwell. It is not the business document date and may be much later when historical data is imported. See createdAt definition.
Timestamp of the record's latest recorded update in Upwell. It is not a shipment event, payment date, or document revision date. See updatedAt definition.
Timestamp when the asynchronous job is scheduled to run. It is not a promise of completion at that time. See scheduledAt definition.
Timestamp recorded for processing the event or job. It is separate from the event's underlying business date. See processedAt definition.
The status of the event (e.g., PENDING).
The operation type that triggered the event.
INSERT, UPDATE, DELETE Data regarding the state of the resource involved in the event.
Show child attributes
Show child attributes
The type of resource in the Upwell application where the event occurred.
The unique identifier for the resource affected by the event.
The unique identifier for the webhook subscription.
Response
Return a 200 status to indicate that the data was received successfully

